package com.bonus.canteen.core.menu.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalTime;

@ApiModel("餐次时段状态Model")
public class AllocMealtimeStateModel {
   @ApiModelProperty("餐次类型")
   private Integer mealtimeType;
   @ApiModelProperty("是否启用")
   private Integer ifUse;
   @ApiModelProperty("餐次时段")
   private LocalTime startTime;
   private LocalTime endTime;

   public AllocMealtimeStateModel(AllocMealtimeModel mealtimeModel) {
      this.mealtimeType = mealtimeModel.getMealtimeType();
      this.ifUse = mealtimeModel.getIfUse();
      this.startTime = mealtimeModel.getStartTime();
      this.endTime = mealtimeModel.getEndTime();
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public Integer getIfUse() {
      return this.ifUse;
   }

   public LocalTime getStartTime() {
      return this.startTime;
   }

   public LocalTime getEndTime() {
      return this.endTime;
   }

   public void setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
   }

   public void setIfUse(final Integer ifUse) {
      this.ifUse = ifUse;
   }

   public void setStartTime(final LocalTime startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalTime endTime) {
      this.endTime = endTime;
   }


   protected boolean canEqual(final Object other) {
      return other instanceof AllocMealtimeStateModel;
   }



   public AllocMealtimeStateModel() {
   }
}
